Method: iceberg.v1.restcatalog.v1.projects.catalogs.namespaces.views.list

Lists view identifiers (not views) in the namespace.

HTTP request


GET https://biglake.googleapis.com/iceberg/v1/restcatalog/v1/{parent=projects/*/catalogs/*/namespaces/*}/views

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The namespace to list view identifiers for.

Query parameters

Parameters
pageToken

string

Optional. PageToken for pagination.

pageSize

integer

Optional. Page size for pagination.

Request body

The request body must be empty.

Response body

The response message for the views.list API.

If successful, the response body contains data with the following structure:

JSON representation
{
  "identifiers": [
    {
      object (TableIdentifier)
    }
  ],
  "next-page-token": string
}
Fields
identifiers[]

object (TableIdentifier)

Output only. The list of view identifiers.

next-page-token

string

Output only. The next page token for pagination.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/bigquery
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.